Subject: Re: linux-next: Tree for Oct 25 (powercap_sys.c)

From: Srinivas Pandruvada <[email-masked]>
Date: Fri, 25 Oct 2013 15:30:16 -0700

Ignore my patch. Already a patch by Thierry Reding is in PM next tree.

Thanks,
Srinivas

On 10/25/2013 03:17 PM, Srinivas Pandruvada wrote:
>
> On 10/25/2013 12:46 PM, Randy Dunlap wrote:
>> On 10/25/13 08:03, Thierry Reding wrote:
>>> Hi all,
>>>
>>> I've uploaded today's linux-next tree to the master branch of the
>>> repository below:
>>>
>>>          git://gitorious.org/thierryreding/linux-next.git
>>>
>>> A next-20131025 tag is also provided for convenience.
>>>
>>> One new trivial conflicts and a new build failure caused by an 
>>> incorrect
>>> use of the genpool allocator.
>>>
>>> Upon a request from Olof Johansson I've only included fixes for build
>>> breakage as a result of interactions between the various trees. But
>>> since I've fixed many of the other build failures already, I've pushed
>>> those to a separate tag (next-20131025-fixes). That builds fine on x86
>>> 32-bit and 64-bit allmodconfigs as well as ARM and x86 default
>>> configurations. Most of the PowerPC build errors have also been fixed.
>> on i386:
>>
>> drivers/powercap/powercap_sys.c:484:2: error: unknown field 
>> 'dev_attrs' specified in initializer
>> drivers/powercap/powercap_sys.c:484:2: warning: initialization from 
>> incompatible pointer type [enabled by default]
>> drivers/powercap/powercap_sys.c:484:2: warning: (near initialization 
>> for 'powercap_class.suspend') [enabled by default]
> Submitted patch and copied to you all.
>
> Thanks,
> Srinivas
>